<?php
/**
 * 紫斑马软件
 * email:service@zibanma.com
 * @author afan
 * @link http://www.zibanma.com
 */
if(ZIBANMA_SYS_LINK != 'zibanma_com'){
	die('access deny');
}
class HomeControl{
	private $_base;
	
	public function __construct(){
		$this->_base = ZibanmaBase::get_instance();
	}
	
	public function zibanma_index(){
		$news = new NewsModel();
		$pic = new PicModel();
		$link = new LinkModel();
		$focus = new FocusModel();
		$assign = array(
			'navigation' => $this->_base->_session->navigation,
			'site_config' => $this->_base->_session->site_config,
			'recommend' => $news->zibanma_get_new_list(17),
			'pic' => $pic->zibanma_get_new_graph_list(4),
			'category_list' => $news->zibanma_index_category_list(),
			'hot_list' => $news->zibanma_get_host_list(),
			'random_list' => $news->zibanma_get_random_list(),
			'common' =>$this->_base->_common,
			'link_list' => $link->zibanma_get_list(),
			'focus_list' => $focus->zibanma_focus_list(),
		);
		$this->_base->_view->make('index.index', $assign);
	}
	
}
?>